package com.op.mes.mapper;

import com.op.mes.domain.ProRecipe;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;


/**
 * 配药配方管理Mapper接口
 *
 * @author yinjinlu
 * @date 2022-05-11
 */
@Mapper
public interface ProRecipeMapper
{
    /**
     * 查询配药配方管理
     *
     * @param processId 配药配方管理主键
     * @return 配药配方管理
     */
    public ProRecipe selectProRecipeByRecipeId(String processId);

    /**
     * 查询配药配方管理列表
     *
     * @param proRecipe 配药配方管理
     * @return 配药配方管理集合
     */
    public List<ProRecipe> selectProRecipeList(ProRecipe proRecipe);

    public ProRecipe checkRecipeCodeUnique(ProRecipe proRecipe);
    public ProRecipe checkRecipeNameUnique(ProRecipe proRecipe);


    /**
     * 新增配药配方管理
     *
     * @param proRecipe 配药配方管理
     * @return 结果
     */
    public int insertProRecipe(ProRecipe proRecipe);

    /**
     * 修改配药配方管理
     *
     * @param proRecipe 配药配方管理
     * @return 结果
     */
    public int updateProRecipe(ProRecipe proRecipe);

    /**
     * 删除配药配方管理
     *
     * @param processId 配药配方管理主键
     * @return 结果
     */
    public int deleteProRecipeByRecipeId(String processId);

    /**
     * 批量删除配药配方管理
     *
     * @param processIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteProRecipeByRecipeIds(String[] processIds);
}
